comedi_get_hardware_buffer_size
Prev | 5.4.6. Extensions | Next

## Name

comedi_get_hardware_buffer_size — get size of subdevice's hardware buffer

## Synopsis

    #include <comedilib.h>

`int comedi_get_hardware_buffer_size(` | comedi_t *device,
| unsigned int subdevice,
| enum comedi_io_direction direction`)`;

## Description

This function returns the number of bytes the subdevice can hold in it's hardware buffer. The term “hardware buffer” refers to any FIFOs, etc. on the acquisition board itself which are used during streaming commands. This does not include the buffer maintained by the comedi kernel module in host memory, whose size may be queried by `comedi_get_buffer_size`. The `direction` parameter of type enum comedi_io_direction should be set to `COMEDI_INPUT` to query the input buffer size (e.g., the buffer of an analog input subdevice), or `COMEDI_OUTPUT` to query the output buffer size (e.g., the buffer of an analog output).

## Return value

Hardware buffer size in bytes, or `-1` on error.

Prev | Up | Next
comedi_get_gate_source | Home | comedi_get_routing